Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.portal
Class PortalImpl

    java.lang.Object
      org.jboss.portal.core.impl.model.portal.PortalObjectImpl
          org.jboss.portal.core.impl.model.portal.PortalImpl

All Implemented Interfaces:
  java.lang.Comparable, PageContainer, Portal, PortalObject

    public class PortalImpl

extends PortalObjectImpl
implements Portal

Version:
  $Revision: 9134 $
Author:
  Julien Viet

Field Summary
`protected java.util.Set` | `modes`
`protected java.util.Set` | `windowStates`

Fields inherited from class org.jboss.portal.core.impl.model.portal.PortalObjectImpl
`ALL_TYPES_MASK, log`

Fields inherited from interface org.jboss.portal.core.model.portal.PortalObject
`CONTEXT_MASK, DEFAULT_OBJECT_NAME, PAGE_MASK, PORTAL_MASK, PORTAL_PROP_DEFAULT_OBJECT_NAME, TYPE_CONTEXT, TYPE_PAGE, TYPE_PORTAL, TYPE_WINDOW, WINDOW_MASK`

Constructor Summary
`PortalImpl()`
`PortalImpl(boolean hibernate)`

Method Summary
`protected PortalObjectImpl` | `cloneObject()`
`Page` | `createPage(java.lang.String name)` Create a new page in the scope of this container.
`Page` | `getDefaultPage()` Return the default page of this portal.
`java.util.Set` | `getModes()`
`Page` | `getPage(java.lang.String name)` Return an existing page or null if the child does not exist or does not have the right type.
`java.util.Set` | `getSupportedModes()` Return the modes supported of this portal.
`java.util.Set` | `getSupportedWindowStates()` Return the window states supported by this portal.
`int` | `getType()` Returns the type of the object which is a value that discriminates the object type.
`java.util.Set` | `getWindowStates()`
`void` | `setModes(java.util.Set modes)`
`void` | `setWindowStates(java.util.Set windowStates)`

Methods inherited from class org.jboss.portal.core.impl.model.portal.PortalObjectImpl
`addChild, compareTo, copy, destroy, destroyChild, equals, getChild, getChild, getChildren, getChildren, getDeclaredProperties, getDeclaredProperty, getDeclaredPropertyMap, getDefaultChild, getDisplayName, getDisplayNames, getId, getKey, getListener, getMask, getMask, getName, getObjectNode, getParent, getProperties, getProperty, hashCode, setDeclaredProperty, setDeclaredPropertyMap, setDisplayName, setDisplayNames, setKey, setListener, setObjectNode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.portal.core.model.portal.PortalObject
`copy, destroyChild, getChild, getChild, getChildren, getChildren, getDeclaredProperties, getDeclaredProperty, getDisplayName, getId, getListener, getName, getParent, getProperties, getProperty, setDeclaredProperty, setDisplayName, setListener`

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### windowStates

    protected java.util.Set windowStates

### modes

    protected java.util.Set modes

Constructor Detail

### PortalImpl

    public PortalImpl()

### PortalImpl

    public PortalImpl(boolean hibernate)

Method Detail

### getModes

    public java.util.Set getModes()

### setModes

    public void setModes(java.util.Set modes)

### getWindowStates

    public java.util.Set getWindowStates()

### setWindowStates

    public void setWindowStates(java.util.Set windowStates)

### getSupportedWindowStates

    public java.util.Set getSupportedWindowStates()

  Description copied from interface: `Portal`
  Return the window states supported by this portal.

  Specified by:
    `getSupportedWindowStates` in interface `Portal`
  Returns:
    the supported window states by this portal

### getSupportedModes

    public java.util.Set getSupportedModes()

  Description copied from interface: `Portal`
  Return the modes supported of this portal.

  Specified by:
    `getSupportedModes` in interface `Portal`
  Returns:
    the supported modes by this portal

### getPage

    public Page getPage(java.lang.String name)

  Description copied from interface: `PageContainer`
  Return an existing page or null if the child does not exist or does not have the right type.

  Specified by:
    `getPage` in interface `PageContainer`
  Returns:
    the specified page

### createPage

    public Page createPage(java.lang.String name)
                    throws DuplicatePortalObjectException

  Description copied from interface: `PageContainer`
  Create a new page in the scope of this container.

  Specified by:
    `createPage` in interface `PageContainer`
  Parameters:
    `name` - the name of the child page to create
  Returns:
    the create page
  Throws:
    `DuplicatePortalObjectException` - if an object with the specified name already exist

### getType

    public int getType()

  Description copied from interface: `PortalObject`
  Returns the type of the object which is a value that discriminates the object type.

  Specified by:
    `getType` in interface `PortalObject`
  Specified by:
    `getType` in class `PortalObjectImpl`
  Returns:
    the object type.

### getDefaultPage

    public Page getDefaultPage()

  Description copied from interface: `Portal`
  Return the default page of this portal.

  Specified by:
    `getDefaultPage` in interface `Portal`
  Returns:
    the default page

### cloneObject

    protected PortalObjectImpl cloneObject()

  Specified by:
    `cloneObject` in class `PortalObjectImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD